local M = {}
M.type = "auxiliary"
M.relevantDevice = nil
M.defaultOrder = 1000

local engine = nil
local sounds = {
    airCompressor = nil
}

local function updateGFX(dt)
    if not sounds.airCompressor then return end
    
    obj:setVolumePitch(sounds.airCompressor, M.baseVolume, M.basePitch)
end

local function init(jbeamData)
    M.baseVolume = jbeamData.baseCompressorVolume or 1.0
    M.basePitch = jbeamData.baseCompressorPitch or 1.0
end

local function initSecondStage()
    engine = powertrain.getDevice("mainEngine")
end

local function initSounds()
    if not engine then return end
    
    sounds.airCompressor = obj:createSFXSource(
        "vehicles/citybus/sounds/air-compressor.ogg",
        "AudioDefaultLoop3D",
        "airCompressor",
        engine.engineNodeID
    )
end

M.updateGFX = updateGFX
M.init = init
M.initSecondStage = initSecondStage
M.initSounds = initSounds

return M